cancel
Showing results for 
Search instead for 
Did you mean: 
JRahm
Community Manager
Community Manager

Problem this snippet solves:

This iApp template contributed by Mark Quevedo installs an iRule that will block WannaCry ransomeware

How to use this snippet:

install the iApp and apply iRule to vulnerable virtual servers

Code :

75954
Comments
John_Allen
Altostratus
Altostratus

Is there a version limit on this? I just get an error when I try to import:

 

Loading configuration... /tmp/upload_template.tmpl 01070712:3: Caught configuration exception (0), ERROR app_template - /Common/WannaCry_Blocker_v2 definition: line 3 [undefined procedure: iapp::template][iapp::template start] line 75 [undefined procedure: iapp::conf][iapp::conf "create ltm rule WannaCry-Blocker { ${patched} }"] - sys/validation/AppTemplateAction.cpp, line 127. Unexpected Error: Loading configuration process failed.

 

M_Quevedo
Nimbostratus
Nimbostratus

The iApp should run on version 11.4+ I think. The iRule inside it should work on version 11.0+. What version is your BIG-IP running?

 

John_Allen
Altostratus
Altostratus

Of course, its running 11.3.0

 

Version history
Last update:
‎17-May-2017 06:52
Updated by:
Contributors